// 导入axios实例
import httpRequest from '@/request/index'
// import md5 from 'js-md5'

// 导出数据接口
export function apiGetExportMsg(url, params) {
    return httpRequest({
        url: url,
        method: 'get',
        responseType: 'blob',
        params: params
    })
}
// 导出模版接口
export function apiGetModel(url, params) {
    return httpRequest({
        url: url,
        method: 'get',
        params: params
    })
}

//获取菜单数据
export function apiGetMenuData() {
    return httpRequest({
        url: 'menu/menuList?parentId=10105', // 测试
        // url: 'menu/menuList?parentId=6802', // 生产
        method: 'post'
    })
}
//获取权限数据
export function apiGetPrivilegesOfCurrentUserAll() {
    return httpRequest({
        url: 'menu/getPrivilegesOfCurrentUserAll',
        method: 'post'
    })
}


// 部门配置测试数据
export function apievaluationdeptallocationgetDept() {
    return httpRequest({
      url: `evaluation-dept-allocation/getDept`,
      method: 'get'
    })
}
export function apievaluationdeptallocationgetDept2(params) {
    return httpRequest({
      url: `evaluation-dept-allocation/getSubdepartment/${params}`,
      method: 'get'
    })
}
export function apievaluationdeptallocationgetUser() {
    return httpRequest({
      url: `evaluation-dept-allocation/getUser`,
      method: 'get'
    })
}


//----------------------------------------登录页接口------------------------------------------------
// 获取密码加密密钥
export function apigetPublicKey() {
    // MD5 32 位
    return httpRequest({
      url: `user/publicKey`,
      method: 'get'
    })
}
// 登录接口
export function loginApi(username,password) {
    // MD5 32 位
    return httpRequest({
    //   url: `user/bladeAuth?username=${username}&password=${md5(password)}`,
      url: `user/bladeAuth?username=${username}&password=${password}`,
      method: 'post'
    })
}
// 根据token获取code
export function apiGetCodeByToken(params) {
    return httpRequest({
        url: `user/getCodeByToken?token=${params}`,
        method: 'get'
    })
}
// 获取用户信息
export function apiGetUserMsg(params) {
    return httpRequest({
        url: `user/getSysUser?code=${params}`,
        method: 'get'
    })
}

// 退出接口
export function apiPostremoveByToken(params) {
    return httpRequest({
        url: `user/removeByToken?token=${params}`,
        method: 'post'
    })
}

//----------------------------------------首页---------------------------------------------------
//----------首页服务
export function apiGetevaluationportallist(params) {
    return httpRequest({
        url: 'evaluation/portal/list',
        method: 'get',
        params: params
    })
}
//----------首页年份和季度数据
export function apiGetevaluationportalhomeSeason() {
    return httpRequest({
        url: 'evaluation/portal/homeSeason',
        method: 'get'
    })
}
//----------通告服务
export function apiGetevaluationCircularDisplaylist(params) {
    return httpRequest({
        url: `evaluation-dept-notice/circularDisplay`,
        method: 'get',
        params: params
    })
}


//----------------------------------------任务中心------------------------------------------------
//---------列表
export function apiPostTodoTaskList(params) {
    return httpRequest.post('workflow/todoTaskList', params)
}
//----------同意/拒绝审批
export function apiPostIsdoAction(params) {
    return httpRequest.post('workflow/isOkAction', params)
}
//----------根据流程ID获取业务ID
export function apiPostgetInstanceAndChildren(params) {
    return httpRequest({
        url: 'workflow/getInstanceAndChildren',
        method: 'post',
        params: params
    })
}
//----------任务处理-获取考评启动详情
export function apiGettaskevalStartDetail(params) {
    return httpRequest({
        url: 'dept-responsibility/getByidAndInfo',
        method: 'get',
        params: params
    })
}

//----------任务处理-获取考评启动头部详情
export function apiGetHeaderDeptResponsibility(params) {
    return httpRequest({
        url: 'dept-responsibility/getDeptResponsibility',
        method: 'get',
        params: params
    })
}


//----------任务处理-获取考评启动详情
export function apiGettaskmothAyearDetail(params) {
    return httpRequest({
        url: 'organization-evaluation/getByidAndInfo',
        method: 'get',
        params: params
    })
}

//----------任务处理-获取单位月季年头部的详情
export function apiGetHeaderOrganizationEvaluation(params) {
    return httpRequest({
        url: 'organization-evaluation/getOrganizationEvaluation',
        method: 'get',
        params: params
    })
}

//考评得分统计查询
export function apiGetscoreCountList(params) {
    return httpRequest({
        url: 'score_count/list',
        method: 'get',
        params: params
    })
}
//考评得分统计修改
export function apiPostScoreCountSave(params) {
    return httpRequest.post('score_count/save', params)
}


// 部门业绩指标计划 部门业绩指标考评同意前判断接口
export function apiGetcheckAuditStatus(params) {
    return httpRequest({
        url: `evaluation-dept-plan/checkAuditStatus/${params.id}/${params.deptId}`,
        method: 'get'
    })
}

// 部门业绩指标计划 部门业绩指标考评同意前判断接口
export function apiGetcheckAuditAssessmentStatus(params) {
    return httpRequest({
        url: `evaluation-dept-assessment/checkAuditStatus/${params.id}/${params.deptId}`,
        method: 'get'
    })
}

//添加审批领导
export function apiGetaddRepeatBatchLeader(params) {
    return httpRequest({
        url: 'evaluation-dept-ad/addRepeatBatchLeader',
        method: 'post',
        params: params
    })
}


//----------------------------------------通告管理------------------------------------------------
//---------列表
export function apiGetevaluationdeptnoticeList(params) {
    return httpRequest({
        url: 'evaluation-dept-notice/list',
        method: 'get',
        params: params
    })
}
//----"通告管理-保存or修改"
export function apiGetevaluationdeptnoticeSave(params) {
    return httpRequest.post('evaluation-dept-notice/save', params)
}
//----"通告管理-保存or修改"
export function apiGetuploadAttachment(params, datas) {
    return httpRequest({
        // url: `evaluation-dept-notice/save?id=${params.id?params.id: ''}&noticeTitle=${params.noticeTitle}&noticeContent=${params.noticeContent}&sendTo=${params.sendTo}&sendToContent=${params.sendToContent}&releaseState=${params.releaseState}&releaseDept=${params.releaseDept}&releaseDeptName=${params.releaseDeptName}&releasePeople=${params.releasePeople}&releasePeopleName=${params.releasePeopleName}&serialNumber=${params.serialNumber}`,
        url: `evaluation-dept-notice/uploadAttachment?id=${params.id?params.id: ''}`,
        method: 'post',
        header: { 'Content-Type': 'multipart/form-data' },
        mimeType: 'multipart/form-data',
        data: datas
    })
}
//-----通告管理--删除附件
export function apievaluationdeptnoticeDelete(params) {
    return httpRequest({
        url: 'evaluation-dept-notice/deleteAttachment',
        method: 'post',
        params: params
    })
}
//-----批量删除通告管理信息
export function apiPostevaluationdeptnoticeDelete(params) {
    return httpRequest({
        url: `evaluation-dept-notice/removeAll/${params}`,
        method: 'post'
    })
}
//-----修改状态
export function apiPostevaluationdeptnoticeModifiedState(params) {
    return httpRequest({
        url: `evaluation-dept-notice/modifiedState`,
        method: 'post',
        params: params
    })
}
//-----文件预览
export function apiGetevaluationdeptnoticeFilePreview(params) {
    return httpRequest({
        url: 'evaluation-dept-notice/filePreview',
        // header: { 'responseType': 'blob' },
        // responseType: 'blob',
        method: 'get',
        params: params
    })
}



//----------------------------------------考评业务------------------------------------------------

//获取审批流程数据
export function apiGetworkflowgetOpinion(params) {
    return httpRequest({
        url: 'workflow/getOpinion',
        method: 'post',
        params: params
    })
}


//单位考评目标启动 ---列表
export function apiGetdeptresponsibilityList(params) {
    return httpRequest({
        url: 'dept-responsibility/list',
        method: 'get',
        params: params
    })
}
//部门考评目标启动 ---列表
export function apiGetevaluatiodeptplanList(params) {
    return httpRequest({
        url: 'evaluation-dept-plan/list',
        method: 'get',
        params: params
    })
}

//部门绩效结果考核申报 ---列表
export function apiGetevaluatiodeptadList(params) {
    return httpRequest({
        url: 'evaluation-dept-ad/list',
        method: 'get',
        params: params
    })
}

//----"单位考评目标启动-保存or修改"
export function apiGetdeptresponsibilitySave(params) {
    return httpRequest.post('dept-responsibility/save', params)
}
//----"部门考评目标启动-保存or修改"
export function apiGetevaluationdeptplanSave(params) {
    return httpRequest.post('evaluation-dept-plan/save', params)
}
//----"部门考评目标启动-检查"
export function apiGetevaluationdeptplanverifyDept() {
    return httpRequest({
        url: 'evaluation-dept-plan/verifyDept',
        method: 'get'
    })
}
//----"部门绩效结果考核申报-新增"
export function apiPostevaluationdeptadSave(params) {
    return httpRequest.post('evaluation-dept-ad/save', params)
}


//----"部门考评目标启动-修改简述使用的服务"
export function apiGetevaluationdeptplanModify(params) {
    return httpRequest.post('evaluation-dept-plan/modify', params)
}
//----"部门考评目标启动-保存or修改"----新增后修改状态
export function apideptModifyState(params) {
    return httpRequest({
        url: 'evaluation-dept-plan/targetStart',
        method: 'post',
        params: params
    })
}
//----"部门考评目标启动-保存or修改"----新增后修改状态
export function apideptAdState(params) {
    return httpRequest({
        url: 'evaluation-dept-ad/targetStart',
        method: 'post',
        params: params
    })
}
//  获取审批人
export function apiGetobtainApprovalLeader(params) {
    return httpRequest({
        url: `evaluation-dept-ad/obtainApprovalLeader/${params.id}`,
        method: 'get'
    })
}
//添加审批领导
export function apiGetaddApprovalLeader(params) {
    return httpRequest({
        url: 'evaluation-dept-ad/addApprovalLeader',
        method: 'post',
        params: params
    })
}
//查询审批领导--给出提示
export function apiGetprocessInformation(params) {
return httpRequest({
    url: `evaluation-dept-ad/processInformation/${params.id}`,
    method: 'get'
})
}

//  获取人数
export function apiGetparticipantsNumber(params) {
    return httpRequest({
        url: `evaluation-dept-ad/participantsNumber/${params}`,
        method: 'get'
    })
}

// 任务中心---绩效结果考核申报  修改评定等级
export function apideptAdmodify(params) {
    // return httpRequest({
    //     url: 'evaluation-dept-ad/modify',
    //     method: 'post',
    //     params: params
    // })
    return httpRequest.post('evaluation-dept-ad/modify', params)
}

//----"部门考评指标考核-保存or修改"----新增后修改状态
export function apideptModifyassessmentState(params) {
    return httpRequest({
        url: 'evaluation-dept-assessment/targetStart',
        method: 'post',
        params: params
    })
}

//单位考评目标修订 ---列表
export function apiGetevaluationrevisionList(params) {
    return httpRequest({
        url: 'evaluation-revision/list',
        method: 'get',
        params: params
    })
}
//单位考评目标------启动修订
export function apiGetevaluationrevisionRevise(params) {
    return httpRequest({
        url: 'evaluation-revision/revise',
        method: 'get',
        params: params
    })
}
//单位考评目标修订 ---详情
export function apiGetevaluationrevisionDetails(params) {
    return httpRequest({
        url: `evaluation-revision/details/${params}`,
        method: 'get'
    })
}
//------单位考评修订-详情-修改
export function apiPostevaluationrevisionSave(params) {
    return httpRequest.post('evaluation-revision/save', params)
}
//单位考评目标修订 ---修订----弹框数据
export function apiGetevaluationrevisionPopUpData(params) {
    return httpRequest({
        url: 'evaluation-revision/popUpData',
        method: 'get',
        params: params
    })
}



//------考评启动（流程）
export function apiGetdoAction(params) {
    return httpRequest.post('workflow/doAction', params)
}
//  考评评价指标内容
export function apiGetOrganizationRule(params) {
    return httpRequest({
        url: 'organization-evaluation-rule/getOrganizationRule',
        method: 'get',
        params: params
    })
}


//------考评启动-生成
export function apiGetdeptresponsibilitygenerate(params) {
    return httpRequest({
        url: 'dept-responsibility/generate',
        method: 'post',
        params: params
    })
}
//------考评启动-修改状态
export function apievaluationrevisiontargetStart(params) {
    return httpRequest({
        url: 'evaluation-revision/targetStart',
        method: 'post',
        params: params
    })
}
//------单位考评启动-详情
export function apiGetdeptresponDetail(params) {
    return httpRequest({
        url: 'responsibility-indicator-info/planValueList',
        method: 'get',
        params: params
    })
}

//------部门考评启动-获取部门
export function apiGetevaluationdetailDeptData(params) {
    return httpRequest({
        url: `evaluation-dept-plan/detailDeptData`,
        method: 'get',
        params: params
    })
}
//------部门考评启动-详情
export function apiGetevaluationdeptplanDetail(params) {
    return httpRequest({
        url: `evaluation-dept-plan/details/${params.id}/${params.deptId}/${params.com}`,
        method: 'get'
    })
}
//------部门考评启动-任务详情头部信息
export function apiGetevaluationdeptplanDetailHeader(params) {
    return httpRequest({
        url: `evaluation-dept-plan/detailsHead/${params}`,
        method: 'get'
    })
}
//------部门考评考核-任务详情头部信息
export function apiGetevaluationdeptassessmentDetailHeader(params) {
    return httpRequest({
        url: `evaluation-dept-assessment/detailsHead/${params}`,
        method: 'get'
    })
}
//----"单位--考评启动-详情--删除"
export function apiGetevaluationdeptplandelete(params) {
    return httpRequest({
        url: `evaluation-dept-plan/delete/${params.id}/${params.deptId}`,
        method: 'post'
    })
}


//------单位考评启动-详情-修改
export function apiGetindicatorsaveBatchDto(params) {
    return httpRequest.post('responsibility-indicator-info/saveBatchDto', params)
}
//------部门考评启动-详情-修改
export function apiGetevaluationdeptplanUpdate(params) {
    return httpRequest.post('evaluation-dept-plan/update', params)
}

//----"单位--考评启动-删除"
export function apiPostresponsiDelete(params) {
    return httpRequest({
        url: `dept-responsibility/remove/${params}`,
        method: 'post'
    })
}
//----"部门--考评启动-删除"
export function apiPostevaluationdeptplanDelete(params) {
    return httpRequest({
        url: `evaluation-dept-plan/removeAll/${params}`,
        method: 'post'
    })
}
//----删除绩效结果考核申报信息
export function apiPostevaluationdeptadDelete(params) {
    return httpRequest({
        url: `evaluation-dept-ad/removeAll/${params}`,
        method: 'post'
    })
}

//----绩效结果考核申报信息详情-头部信息
export function apiPostevaluationdeptadDetailsHead(params) {
    return httpRequest({
        url: `evaluation-dept-ad/detailsHead/${params}`,
        method: 'get'
    })
}
//----绩效结果考核申报信息详情
export function apiPostevaluationdeptadDetails(params) {
    return httpRequest({
        url: `evaluation-dept-ad/details/${params}`,
        method: 'get'
    })
}
//------绩效结果考核申报-员工月度考核系数-详情-修改
export function apiGetevaluationdeptadUpdate(params) {
    return httpRequest.post('evaluation-dept-ad/updateContent', params)
}
//------绩效结果考核申报-员工月度考核系数-详情-删除
export function apiGetevaluationdeptadDelete(params) {
    return httpRequest({
        url: `evaluation-dept-ad/deleteContent/${params}`,
        method: 'get'
    })
}

//------绩效结果考核申报-本月主要工作完成情况-详情-修改
export function apiGetevaluationdeptadUpdateComplete(params) {
    return httpRequest.post('evaluation-dept-ad/updateComplete', params)
}
//------绩效结果考核申报-本月主要工作完成情况-详情-删除
export function apiGetevaluationdeptadDeleteComplete(params) {
    return httpRequest({
        url: `evaluation-dept-ad/deleteComplete/${params}`,
        method: 'get'
    })
}

//--------绩效结果考核申报统计汇总表
export function apiGetstatisticalSummaryList(params) {
    return httpRequest({
        url: `evaluation-dept-ad/statisticalSummary`,
        method: 'get',
        params: params
    })
}



//----单位/部门考评配置所有数据
export function apiGetOrganizationListAll(params) {
    return httpRequest({
        url: 'organization-evaluation-rule/listAll',
        method: 'get',
        params: params
    })
}
//月/季度考评列表查询
export function apiGetAssessmentList(params) {
    return httpRequest({
        url: 'assessment/list',
        method: 'get',
        params: params
    })
}
//月度目标考评页面和年度目标考评页面list
export function apiGetOrgEvaluationList(params) {
    return httpRequest({
        url: 'organization-evaluation/list',
        method: 'get',
        params: params
    })
}
//------生成报表
export function apiGetgenerateEvaluateReport(params) {
    return httpRequest({
        url: 'evaluate-report/generateEvaluateReport',
        method: 'post',
        params: params
    })
}
//------计算得分
export function apiGetcalculatorcron(params) {
    return httpRequest({
        url: 'calculator/cron',
        method: 'get',
        params: params
    })
}
//单位月度考评记录-生成
export function apiGetgenerateUnitMonthEvaluation(params) {
    return httpRequest({
        url: 'organization-evaluation/generateUnitMonthEvaluation',
        method: 'post',
        params: params
    })
}
//单位年度考评记录-生成
export function apiGetgenerateUnitYearEvaluation(params) {
    return httpRequest({
        url: 'organization-evaluation/generateUnitEvaluation',
        method: 'post',
        params: params
    })
}
//单位/部门（月 、年）考评记录-保存or修改 
export function apiPostOrgEvaSave(params) {
    return httpRequest.post('organization-evaluation/save', params)
}
//月/年考评指标明细
export function apiGetOrgEvalInfoList(params) {
    return httpRequest({
        url: 'organization-evaluation-info/finishValueListNew',
        method: 'get',
        params: params
    })
}
//------月/年考评-详情-修改
export function apiGetOrgEvaInfoBatchDto(params) {
    return httpRequest.post('organization-evaluation-info/saveBatchDto', params)
}
//----"月/年考评-删除"
export function apiPostOrgevaluationDelete(params) {
    return httpRequest({
        url: `organization-evaluation/remove/${params}`,
        method: 'post'
    })
}

//考评对标分析---列表
export function apiGetscoreCountevaluationList(params) {
    return httpRequest({
        url: 'score_count/evaluation/list',
        method: 'get',
        params: params
    })
}

//考评预警---列表
export function apiGetevaluationwarninginfoList(params) {
    return httpRequest({
        url: 'evaluation/warning/info/list',
        method: 'get',
        params: params
    })
}
//考评预警---确认
export function apiGetevaluationwarninginfoSave(params) {
    return httpRequest.post('evaluation/warning/info/save', params)
}



//--------考评报告列表
export function apiGetEvalReportList(params) {
    return httpRequest({
        url: 'evaluate-report/list',
        method: 'get',
        params: params
    })
}
//--------考评报告列表
export function apiGetEvalReportinfoList(params) {
    return httpRequest({
        url: 'evaluate-report-info/list',
        method: 'get',
        params: params
    })
}


//--------部门考评业务列表信息
export function apiGetevaluationdeptassessmentlist(params) {
    return httpRequest({
        url: 'evaluation-dept-assessment/list',
        method: 'get',
        params: params
    })
}
//--------部门考评业务列表信息---详情
export function apiGetevaluationdeptassessmentdetails(params) {
    return httpRequest({
        url: `evaluation-dept-assessment/details/${params}`,
        method: 'get'
    })
}

//生成报表
// ---- 下载报表-----考核
export function apiGetevaluationgenerateReport(params) {
    return httpRequest({
        url: `evaluation-dept-assessment/generateReport/${params}`,
        method: 'get'
    })
}
// ---- 下载报表-----计划
export function apiGetevaluationdeptplanReport(params) {
    return httpRequest({
        url: `evaluation-dept-plan/generateReport/${params}`,
        method: 'get'
    })
}
// ---- 下载报表-----申报
export function apiGetevaluationdeptadReport(params) {
    return httpRequest({
        url: `evaluation-dept-ad/generateReport/${params}`,
        method: 'get',
        responseType: 'blob'
    })
}
export function apiGetevaluationdownloadReport(params) {
    return httpRequest({
        url: `evaluation-dept-assessment/downloadReport/${params}`,
        method: 'get',
        responseType: 'blob',
        contentType: 'application/msword'
    })
}


//--------单位绩效考核评级列表
export function apiGetorganizationratinglist(params) {
    return httpRequest({
        url: 'organization-rating/list',
        method: 'get',
        params: params
    })
}
//--------单位绩效考核评级列表---新增/修改
export function apiGetorganizationratingsave(params) {
    return httpRequest.post('organization-rating/save', params)
}
//----单位绩效考核评级列表---删除
export function apiPostorganizationratingDelete(params) {
    return httpRequest({
        url: `organization-rating/remove/${params}`,
        method: 'post'
    })
}



//--------部门绩效考核评级列表
export function apiGetevaluationdeptratinglist(params) {
    return httpRequest({
        // url: 'evaluation-dept-rating/list',
        url: 'evaluation-dept-rating/listAll',
        method: 'get',
        params: params
    })
}
//--------部门绩效考核评级列表---新增/修改
export function apiGetevaluationdeptratingsave(params) {
    return httpRequest.post('evaluation-dept-rating/save', params)
}
//----部门绩效考核评级列表---删除
export function apiPostevaluationdeptratingDelete(params) {
    return httpRequest({
        url: `evaluation-dept-rating/removeAll/${params}`,
        method: 'post'
    })
}


//--------指标考核打分列表
export function apiGetorganizationevaluationlist(params) {
    return httpRequest({
        url: 'organization-evaluation/getEvalScoreInfo',
        method: 'get',
        params: params
    })
}


//单位目标启动详情-----根据属性和阶段获取--获取表格数据
export function apiGetgetResponsibilityInfoList(params) {
    return httpRequest({
        url: 'responsibility-indicator-info/getResponsibilityInfoList',
        method: 'get',
        params: params
    })
}
//单位目标修订详情-----根据属性和阶段获取--获取表格数据
export function apiGetgetevaluationrevisiondetails(params) {
    return httpRequest({
        url: 'evaluation-revision/details',
        method: 'get',
        params: params
    })
}



//单位月季年详情-----根据属性和阶段获取--获取指标名---表格头
export function apiGetEvaluationIndicatorList(params) {
    return httpRequest({
        url: 'organization-evaluation-info/getEvaluationIndicatorList',
        method: 'get',
        params: params
    })
}
//单位月季年详情-----根据属性和阶段获取--获取指标名--表格
export function apiGetgetEvaluationInfoDataList(params) {
    return httpRequest({
        url: 'organization-evaluation-info/getEvaluationInfoList',
        method: 'get',
        params: params
    })
}
//单位月季年详情-----修改
export function apiPostorganizationUpdateEvaluationInfo(params) {
    return httpRequest.post('organization-evaluation-info/updateEvaluationInfo', params)
}


//单位目标启动详情-----修改
export function apiPostupdateResponsibilityInfo(params) {
    return httpRequest.post('responsibility-indicator-info/updateResponsibilityInfo', params)
}

//单位目标修订详情-----修改
export function apiPostupdateevaluationrevisionInfo(params) {
    return httpRequest.post('evaluation-revision/save', params)
}

//单位月季年详情-----新增
export function apiPostorganizationUpdateAddEvaluationInfo(params) {
    return httpRequest.post('organization-evaluation-info/addEvaluationInfo', params)
}


//单位月季年重点专项和管理事项详情-----根据属性和阶段获取--获取指标名--表格
export function apiGetorganizationevaluationcommoninfo(params) {
    return httpRequest({
        url: 'organization-evaluation-common-info/list',
        method: 'get',
        params: params
    })
}
//保存
export function apiPostsaveEvaluationCommonInfo(params) {
    return httpRequest.post('organization-evaluation-common-info/addEvaluationCommonInfo', params)
}
//删除
export function apiPostremoveEvaluationCommonInfo(params) {
    return httpRequest({
        url: `organization-evaluation-common-info/remove/${params}`,
        method: 'post'
    })
}



//----------------------------------------考评体系配置------------------------------------------------
//----考评指标管理
//----"指标-查询"
export function apiGetIndicatorList(params) {
    return httpRequest({
        url: 'indicator/list',
        method: 'get',
        params: params
    })
}
//----"指标类别-查询"
export function apiGetIndicatorTypeList() {
    return httpRequest({
        url: 'indicator-type/list',
        method: 'get',
    })
}
//----"指标-新增/修改"
export function apiGetIndicatorSave(params) {
    return httpRequest.post('indicator/save', params)
}
//----"指标-删除"
export function apiGetIndicatorDelete(params) {
    return httpRequest({
        url: `indicator/remove/${params}`,
        method: 'post'
    })
}

//----"指标项-查询"
export function apiGetIndicatordictionaryList(params) {
    return httpRequest({
        url: 'indicator-dictionary/listGroup',
        method: 'get',
        params: params
    })
}
//----"指标项-根据指标查询"
export function apiGetIndidicList(params) {
    return httpRequest({
        url: 'indicator-dictionary/list',
        method: 'get',
        params: params
    })
}
//----"指标项-保存/修改"
export function apiGetIndicatordicsaveList(params) {
    return httpRequest.post('indicator-dictionary/saveBatch', params)
}
//----"指标项-删除"
export function apiGetIndicatordicdeleteList(params) {
    return httpRequest({
        url: `indicator-dictionary/remove/${params}`,
        method: 'post'
    })
}
// 指标组合添加
export function apiPostindicatorsaveGroup(params) {
    return httpRequest.post('indicator/saveGroup', params)
}
// 根据指标id获取主子指标-list
export function apiGetIndidicselectById(params) {
    return httpRequest({
        url: 'indicator/selectById',
        method: 'get',
        params: params
    })
}


//----考评规则配置
//----考评规则-list
export function apiGetevaluateRuleList(params) {
    return httpRequest({
        url: 'evaluate-rule/list',
        method: 'get',
        params: params
    })
}
//----"规则-保存/修改"
export function apiGetevaluateRuleSaveList(params) {
    return httpRequest.post('evaluate-rule/save', params)
}
//----"规则-删除"
export function apiGetevaluateRuledeleteList(params) {
    return httpRequest({
        url: `evaluate-rule/remove/${params}`,
        method: 'post'
    })
}
//----"规则模块，规则阶段数据"
export function apiGetdatadictionaryList(params) {
    return httpRequest({
        url: 'data-dictionary/list',
        method: 'get',
        params: params
    })
}
//阶段
export function apiGetbinstageList(params) {
    return httpRequest({
        url: 'bin-stage/list',
        method: 'get',
        params: params
    })
}
//属性
export function apiGetbinsectionList(params) {
    return httpRequest({
        url: 'bin-section/list',
        method: 'get',
        params: params
    })
}
//---------"指标项条目-查询"
export function apiGetdataZBXList() {
    return httpRequest({
        url: 'data-dictionary/list?superKey=ZBX0001',
        method: 'get'
    })
}
//---------"部门"
export function apiGetdataBMList() {
    return httpRequest({
        url: 'data-dictionary/list?superKey=BM0001',
        method: 'get'
    })
}
//----考评规则详情-list
export function apiGetevaluateRuleinfoList(params) {
    return httpRequest({
        url: 'evaluate-rule-info/list',
        method: 'get',
        params: params
    })
}
//----"规则详情-保存/修改"
export function apiGetevaluateRuleInfoSaveList(params) {
    return httpRequest.post('evaluate-rule-info/save', params)
}
//----"规则详情-删除"
export function apiGetevaluateRuleinfodeleteList(params) {
    return httpRequest({
        url: `evaluate-rule-info/remove/${params}`,
        method: 'post'
    })
}
//----"规则详情中指标数据-list"
export function apiGetindicatorListAll(params) {
    return httpRequest({
        url: `indicator/listAll`,
        method: 'get',
        params: params
    })
}

//----单位考评配置-list
export function apiGetOrganizationList(params) {
    return httpRequest({
        url: 'organization-evaluation-rule/list',
        method: 'get',
        params: params
    })
}
//----考评部门配置列表信息
export function apiGetEvaluationDeptList(params) {
    return httpRequest({
        // url: 'evaluation-dept/list',
        url: 'evaluation-dept-allocation/list',
        method: 'get',
        params: params
    })
}
export function apiGetEvaluationDeptListAll(params) {
    return httpRequest({
        // url: 'evaluation-dept/list',
        url: 'evaluation-dept-allocation/listAll',
        method: 'get',
        params: params
    })
}

//----"单位考评配置-保存/修改"
export function apiGetorganizationSaveList(params) {
    return httpRequest.post('organization-evaluation-rule/save', params)
}
//----"部门考评配置-保存/修改"
export function apiGetevaluationdeptSave(params) {
    // return httpRequest.post('evaluation-dept/save', params)
    return httpRequest.post('evaluation-dept-allocation/save', params)
}
//----"单位考评配置-删除"
export function apiGetorganizationdeleteList(params) {
    return httpRequest({
        url: `organization-evaluation-rule/remove/${params}`,
        method: 'post'
    })
}
//----"部门考评配置-删除"
export function apiGetevaluationdeptremoveAll(params) {
    return httpRequest({
        // url: `evaluation-dept/removeAll/${params}`,
        url: `evaluation-dept-allocation/removeAll/${params}`,
        method: 'post'
    })
}
//----"部门考评配置--指标项-删除"
export function apiGetevaluationdeptremoveItem(params) {
    return httpRequest({
        url: `evaluation-dept-allocation/removeAll/${params}`,
        method: 'post'
    })
}
//----单位/部门考评配置  --查询规则
export function apiGetevaluateListAll(params) {
    return httpRequest({
        url: 'evaluate-rule/listAll',
        method: 'get',
        params: params
    })
}
//----根据组织树查询部门
export function apiGetorganizationstructureFromTree(params) {
    return httpRequest({
        url: 'organization-structure/getTree',
        method: 'get',
        params: params
    })
}
//----根据组织树部门查询人员
export function apiGetuserPageList(params) {
    return httpRequest({
        url: 'user/pageList',
        method: 'get',
        params: params
    })
}
//----根据人员查询岗位
export function apiGetUserPostList(params) {
    return httpRequest({
        url: 'organization-structure/getUserPostList',
        method: 'get',
        params: params
    })
}
export function apiGetDepartmentLeader(params) {
    return httpRequest({
        url: `evaluation-dept-ad/getDepartmentLeader/${params}`,
        method: 'get'
    })
}
export function apiGetDepartmentallocationLeader(params) {
    return httpRequest({
        url: `evaluation-dept-allocation/getDepartmentLeader/${params}`,
        method: 'get'
    })
}



//----考评人员配置-list
export function apiGetpersonnelList(params) {
    return httpRequest({
        url: 'personnel-evaluation-rule/list',
        method: 'get',
        params: params
    })
}
//----"考评人员配置-保存/修改"
export function apiGetpersonnelSaveList(params) {
    return httpRequest.post('personnel-evaluation-rule/save', params)
}
//----"考评人员配置-删除"
export function apiGetpersonneldeleteList(params) {
    return httpRequest({
        url: `personnel-evaluation-rule/remove/${params}`,
        method: 'post'
    })
}
//-----组织结构-查询
export function apiGetorganizationgetTree(params) {
    return httpRequest({
        url: 'organization-structure/getTree',
        method: 'get',
        params: params
    })
}
//-----组织结构-查询2
export function apiGetorganizationgetListTwo(params) {
    return httpRequest({
        url: 'organization-structure/getList2',
        method: 'get',
        params: params
    })
}
//-----人员-查询
export function apiGetuserListAll(params) {
    return httpRequest({
        url: 'user/listAll',
        method: 'get',
        params: params
    })
}

//业绩考核系数配置
export function apiGetyeargroupcoefficientList(params) {
    return httpRequest({
        url: 'year-group-coefficient/list',
        method: 'get',
        params: params
    })
}
//----"业绩考核系数配置-保存/修改"
export function apiGetyeargroupcoefficientsaveGroup(params) {
    return httpRequest.post('year-group-coefficient/saveGroup', params)
}
//----"业绩考核系数配置-删除"
export function apiDeleteyearcoefficientRemove(params) {
    return httpRequest({
        url: `year-group-coefficient/remove/${params}`,
        method: 'post'
    })
}
//----年度经营业绩系数-查询byid
export function apigetyeargroupcoefficientlistById(params) {
    return httpRequest({
        url: `year-group-coefficient/listById`,
        method: 'get',
        params: params
    })
}

//党建乘数配置查询
export function apiGetpartybuildingList(params) {
    return httpRequest({
        url: 'party-building-multiplier/list',
        method: 'get',
        params: params
    })
}
//----党建乘数新增或修改
export function apiPostpartybuildSave(params) {
    return httpRequest.post('party-building-multiplier/save', params)
}
//----党建乘数配置删除
export function apiDeletepartyBuildRemove(params) {
    return httpRequest({
        url: `party-building-multiplier/remove/${params}`,
        method: 'post'
    })
}


//----多序列计算指标配置-list
export function apiGetcitecalculationList(params) {
    return httpRequest({
        url: 'cite-calculation-indicator/list',
        method: 'get',
        params: params
    })
}
//----"多序列计算指标配置-保存/修改"
export function apiPostcitecalculationSave(params) {
    return httpRequest.post('cite-calculation-indicator/save', params)
}
//----"多序列计算指标配置-删除"
export function apiPostcitecalculationRemove(params) {
    return httpRequest({
        url: `cite-calculation-indicator/remove/${params}`,
        method: 'post'
    })
}



//----------------------------------------基础信息配置------------------------------------------------
//----多牌配置-list
export function apiGetmultiplebrandtreeList(params) {
    return httpRequest({
        url: 'multiple-brand/tree',
        method: 'get',
        params: params
    })
}
//----"多牌配置-保存/修改"
export function apiPostmultiplebrandSave(params) {
    return httpRequest.post('multiple-brand/save', params)
}
//----"多牌配置批量删除"
export function apiPostmultiplebrandRemove(params) {
    return httpRequest({
        url: `multiple-brand/remove/${params}`,
        method: 'post'
    })
}


//----业务属性配置-list
export function apiGetBaseBinSectionList(params) {
    return httpRequest({
        url: 'bin-section/list',
        method: 'get',
        params: params
    })
}
//----"业务属性配置-保存/修改"
export function apiPostBaseBinSectionSave(params) {
    return httpRequest.post('bin-section/save', params)
}
//----"业务属性配置批量删除"
export function apiPostBaseBinSectionRemove(params) {
    return httpRequest({
        url: `bin-section/remove/${params}`,
        method: 'post'
    })
}


//----业务阶段配置-list
export function apiGetBaseBinStageList(params) {
    return httpRequest({
        url: 'bin-stage/list',
        method: 'get',
        params: params
    })
}
//----"业务阶段配置-保存/修改"
export function apiPostBaseBinStageSave(params) {
    return httpRequest.post('bin-stage/save', params)
}
//----"业务阶段配置批量删除"
export function apiPostBaseBinStageRemove(params) {
    return httpRequest({
        url: `bin-stage/remove/${params}`,
        method: 'post'
    })
}


//----指标分类配置-list
export function apiGetBaseIndicatorTypeList(params) {
    return httpRequest({
        url: 'indicator-type/list',
        method: 'get',
        params: params
    })
}
//----"指标分类配置-保存/修改"
export function apiPostBaseIndicatorTypeSave(params) {
    return httpRequest.post('indicator-type/save', params)
}
//----"指标分类配置批量删除"
export function apiPostBaseIndicatorTypeRemove(params) {
    return httpRequest({
        url: `indicator-type/remove/${params}`,
        method: 'post'
    })
}


//----数据字典配置-list
export function apiGetBaseDataDictionaryList(params) {
    return httpRequest({
        url: 'data-dictionary/list',
        method: 'get',
        params: params
    })
}
//----数据字典配置-listPage
export function apiGetBaseDataDictionaryListPage(params) {
    return httpRequest({
        url: 'data-dictionary/listPage',
        method: 'get',
        params: params
    })
}
//----"数据字典配置-保存/修改"
export function apiPostBaseDataDictionarySave(params) {
    return httpRequest.post('data-dictionary/save', params)
}
//----"数据字典配置批量删除"
export function apiPostBaseDataDictionaryRemove(params) {
    return httpRequest({
        url: `data-dictionary/remove/${params}`,
        method: 'post'
    })
}

//----------------------------------------考评知识库------------------------------------------------
//----考评得分规则列表查询-list
export function apiGetevaluationscoringruleList(params) {
    return httpRequest({
        url: 'evaluation-scoring-rule/list',
        method: 'get',
        params: params
    })
}
//----"考评得分规则-保存/修改"
export function apiGetevaluationscoringSaveList(params) {
    return httpRequest.post('evaluation-scoring-rule/saveOrUpdate', params)
}
//----"考评得分规则批量删除"
export function apiGetevaluationruleRemove(params) {
    return httpRequest({
        url: `evaluation-scoring-rule/remove/${params}`,
        method: 'post'
    })
}
//函数查询
export function apiGetfunctionList() {
    return httpRequest({
        url: 'function/list',
        method: 'get'
    })
}

//----区间评分详情查询-list
export function apiGetintervaltableList(params) {
    return httpRequest({
        url: 'interval-scoring-table/list',
        method: 'get',
        params: params
    })
}
// -------根据指标查询指标项
export function apiGetindicatorselectByCode(params) {
    return httpRequest({
        url: 'indicator/selectByCode',
        method: 'get',
        params: params
    })
}
//----"区间评分新增和修改"
export function apiGetintervalscoringsaveOrUpdate(params) {
    return httpRequest.post('interval-scoring-table/saveOrUpdate', params)
}
// //----"考评得分规则批量删除"
export function apiGetintervalscoringRemove(params) {
    return httpRequest({
        url: `interval-scoring-table/remove/${params}`,
        method: 'post'
    })
}



//----考评预警规则列表查询-list
export function apiGetevaluationWarningruleList(params) {
    return httpRequest({
        url: 'evaluation/warning/rule/list',
        method: 'get',
        params: params
    })
}
//----"考评预警规则-保存/修改"
export function apiGetevaluationWarningSave(params) {
    return httpRequest.post('evaluation/warning/rule/save', params)
}
// //----"考评预警规则删除"
export function apiPostevaluationwarningruleDelete(params) {
    return httpRequest({
        url: `evaluation/warning/rule/delete`,
        method: 'get',
        params: params
    })
}



//----考评评级规则列表查询-list
export function apiGetorganizationRatingruleList(params) {
    return httpRequest({
        url: 'organization-rating-rule/list',
        method: 'get',
        params: params
    })
}
//----"考评评级规则-保存/修改"
export function apiGetorganizationratingruleSave(params) {
    return httpRequest.post('organization-rating-rule/save', params)
}
//----"考评评级规则删除"
export function apiGetorganizationratingruleRemove(params) {
    return httpRequest({
        url: `organization-rating-rule/remove/${params}`,
        method: 'post'
    })
}



//----------------------------------------移动端Api------------------------------------------------

//----年度排行榜数据
export function apiGetappAnnualRankingData(params) {
    return httpRequest({
        url: 'evaluation/portal/annualRankingData',
        method: 'get',
        params: params
    })
}